/* Basic Styling */
html,
body {
  height: 100%;
  width: 100%;
  margin: 0;
  font-family: "Roboto", sans-serif;
}

.container {
  max-width: 1200px;
  margin: 0 auto;
  padding: 15px;
  display: flex;
  justify-content: flex-start;
  height: fit-content;
  min-height: 80vh;
}

/* Columns */
.left-column {
  width: 45%;
  position: relative;
  height: 300px;
  left: 80px;
  height: 300px;
}

.left-column img {
  width: 100%;
  position: absolute;
  left: 0;
  top: 0;
  opacity: 0;
  transition: all 0.3s ease;
}

.right-column {
  width: 50%;
  margin-top: 1rem;
  padding: 1rem;
}

/* Left Column */
.left-column img {
  width: 100%;
  position: absolute;
  left: 0;
  top: 0;
  opacity: 0;
  transition: all 0.3s ease;
  max-width: 400px;
  max-height: 80vh;
  object-fit: contain;
}

.left-column img.active {
  opacity: 1;
}

/* Right Column */

/* Product Description */
.product-description {
  border-bottom: 1px solid #e1e8ee;
  margin-bottom: 20px;
}

.product-description span {
  font-size: 12px;
  color: #358ed7;
  letter-spacing: 1px;
  text-transform: uppercase;
  text-decoration: none;
}

.product-description h1 {
  font-weight: 500;
  font-size: 2rem;
  color: #43484d;
  letter-spacing: -2px;
  margin-bottom: 2rem;
  margin-top: 0.5rem;
}

.product-description p {
  font-size: 1rem;
  font-weight: 300;
  color: #86939e;
  line-height: 1.5rem;
  margin-bottom: 1rem;
}

/* Product Configuration */
.product-color span,
.cable-config span {
  font-size: 14px;
  font-weight: 400;
  color: #86939e;
  margin-bottom: 20px;
  display: inline-block;
}

/* Product Color */
.product-color {
  margin-bottom: 30px;
}

.color-choose {
  display: flex;
  flex-direction: column;
  /*! margin-top: 10vh; */
  justify-content: start;
  position: absolute;
}

.color-choose div {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 10px;
}

.color-choose div img {
  width: 64px;
  height: 64px;
  cursor: pointer;
  border: 2px solid transparent;
  transition: all 0.3s ease;
  margin: 0.5rem;
}

/* Responsive */
@media (max-width: 940px) {
  .container {
    flex-direction: column;
    /*! margin-top: 60px; */
    max-width: 100%;
    align-items: flex-start;
  }

  .left-column {
    width: 100%;
    max-height: 300px;
  }

  .left-column img {
    width: 300px;
    top: 0;
    left: 10%;
  }

  .right-column {
    width: 100%;
  }
}

@media (max-width: 535px) {
  .left-column img {
    width: 320px;
    /*! top: -85px; */
    left: 0;
    max-height: 300px;
    object-fit: contain;
  }
}
